Add productUids to a stocktaking
Add productUids to a stocktaking
Required permissions: STOCKTAKING
post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
warehouseUidstringRequiredPattern:
Reference to a Warehouse.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+stocktakingUidstringRequiredPattern:
Reference to a Stocktaking.
^[A-Za-z0-9-_]+Body
productUidsstring[]Required
List of productUids to be added to a stocktaking
Responses
200
Example response
application/json
post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items
POST /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"productUids": [
"text"
]
}200
Example response
{
"items": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"note": "text",
"product": {
"brandName": "text",
"gtins": [
"text"
],
"name": "text",
"productGroupName": "text",
"productUid": "text",
"serialNoRequired": "NO",
"sku": "text"
},
"serialnumbers": [
"text"
],
"stocktakingItemUid": "text"
}
]
}Last updated
Was this helpful?

